<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_content_add_header_slider($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-07-addcontent'); // 元の値を保持

	/*** スライダーの高さ ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['header-slide-image-height'] ) && is_string( $value['header-slide-image-height'] ) ) {
		$value['header-slide-image-height'] = sanitize_text_field( $value['header-slide-image-height'] ); // サニタイズ
	} else {
		if ( isset( $original_value['header-slide-image-height'] ) ) {
			$value['header-slide-image-height'] = $original_value['header-slide-image-height']; // 元の値を保持
		} else {
			$value['header-slide-image-height'] = '';
		}
	}

	/*** スライダーの全幅表示 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['header-slide-image-full-width'] ) && $value['header-slide-image-full-width'] === '1' ) {
		$value['header-slide-image-full-width'] = '1'; // 明示的に '1' を設定
	} else {
		$value['header-slide-image-full-width'] = ''; // チェックされていない場合は空文字を設定
	}

	/***** 画像選択1 *****/
	/* URL */
	if ( isset( $value['header-slide-image-upload-01'] ) && is_string( $value['header-slide-image-upload-01'] ) ) {
		$value['header-slide-image-upload-01'] = esc_url( $value['header-slide-image-upload-01'] ); // サニタイズ
	} else {
		if ( isset( $original_value['header-slide-image-upload-01'] ) ) {
			$value['header-slide-image-upload-01'] = $original_value['header-slide-image-upload-01']; // 元の値を保持
		} else {
			$value['header-slide-image-upload-01'] = '';
		}
	}

	/***** 画像選択2 *****/
	/* URL */
	if ( isset( $value['header-slide-image-upload-02'] ) && is_string( $value['header-slide-image-upload-02'] ) ) {
		$value['header-slide-image-upload-02'] = esc_url( $value['header-slide-image-upload-02'] ); // サニタイズ
	} else {
		if ( isset( $original_value['header-slide-image-upload-02'] ) ) {
			$value['header-slide-image-upload-02'] = $original_value['header-slide-image-upload-02']; // 元の値を保持
		} else {
			$value['header-slide-image-upload-02'] = '';
		}
	}

	/***** 画像選択3 *****/
	/* URL */
	if ( isset( $value['header-slide-image-upload-03'] ) && is_string( $value['header-slide-image-upload-03'] ) ) {
		$value['header-slide-image-upload-03'] = esc_url( $value['header-slide-image-upload-03'] ); // サニタイズ
	} else {
		if ( isset( $original_value['header-slide-image-upload-03'] ) ) {
			$value['header-slide-image-upload-03'] = $original_value['header-slide-image-upload-03']; // 元の値を保持
		} else {
			$value['header-slide-image-upload-03'] = '';
		}
	}



	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}